import request from '@/utils/request'

// 查询其他告警处理列表
export function listOthersolve(query) {
  return request({
    url: '/system/othersolve/list',
    method: 'get',
    params: query
  })
}

// 查询其他告警处理详细
export function getOthersolve(id) {
  return request({
    url: '/system/othersolve/' + id,
    method: 'get'
  })
}

// 新增其他告警处理
export function addOthersolve(data) {
  return request({
    url: '/system/othersolve',
    method: 'post',
    data: data
  })
}

// 修改其他告警处理
export function updateOthersolve(data) {
  return request({
    url: '/system/othersolve',
    method: 'put',
    data: data
  })
}

// 删除其他告警处理
export function delOthersolve(id) {
  return request({
    url: '/system/othersolve/' + id,
    method: 'delete'
  })
}
